Loading...
Searching...
No Matches
BALL::QSAR::AutomaticModelCreator Class Reference

`#include <BALL/QSAR/automaticModelCreator.h>`

## Public Member Functions

| AutomaticModelCreator (const QSARData *data)
Model * | generateModel ()
void | setData (const QSARData *data)
void | setMinQuality (double min_quality)

## Detailed Description

A class for automatic creation of the most appropriate QSAR model.
All available model-types are therefore evaluated using nested cross-validation and several successive feature selection steps.

Definition at line 12 of file automaticModelCreator.h.

## Constructor & Destructor Documentation

## AutomaticModelCreator()

BALL::QSAR::AutomaticModelCreator::AutomaticModelCreator | ( | const QSARData * | data | ) |

## Member Function Documentation

## generateModel()

Model * BALL::QSAR::AutomaticModelCreator::generateModel | ( |  | ) |

Start the search for most appropriate QSAR model for the current data.
All available model-types are therefore evaluated using nested cross-validation and several successive feature selection steps.
The model that obtained the highest nested prediction quality (>min_quality_) will be returned by this function.
If no model achieved a quality higher than min_quality_, 0 will be returned.

## setData()

void BALL::QSAR::AutomaticModelCreator::setData | ( | const QSARData * | data | ) |

## setMinQuality()

void BALL::QSAR::AutomaticModelCreator::setMinQuality | ( | double | min_quality | ) |